KUBERNETES(1)

NAME

kubeadm init phase preflight - Run pre-flight checks

SYNOPSIS

kubeadm init phase preflight [OPTIONS]

DESCRIPTION

Run pre-flight checks for kubeadm init.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Run pre-flight checks for kubeadm init using a config file.
      kubeadm init phase preflight --config kubeadm-config.yml

SEE ALSO

kubeadm-init-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!